Get Sentinel Bundle Task Status

Get Sentinel Bundle Task Status
Get the status of a sentinel bundle task.

Get the status of a sentinel bundle task.

Request
URI
GET
https://{server}/hybridity/api/sentinelBundles/tasks/{taskId}
COPY
Path Parameters
string
taskId
Required

task id


Authentication
This operation uses the following authentication methods.
Responses
200

Accepted

Returns monitorCreateSentinelBundleTaskResponse of type(s) application/json
{
    "fileName": "string",
    "bundleCreationTimestamp": 0,
    "bundleExpiryTimestamp": 0,
    "state": "string",
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
string
fileName
Optional

Sentinel bundle can be downloaded from /hybridity/api/sentinelBundles/{fileName}.

integer As int64 As int64
bundleCreationTimestamp
Optional

Timestamp when the sentinel bundle got created.

integer As int64 As int64
bundleExpiryTimestamp
Optional

Timestamp when the sentinel bundle will get expired. It won't be available for download after that.

string
state
Optional

state

Possible values are : RUNNING, COMPLETED, FAILED, EXPIRED,
array of object
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/hybridity/api/sentinelBundles/tasks/{taskId}